Page MenuHome

Bone transparancy
Open, Needs Triage by DeveloperPublic

Description

Blender Version
Broken:
(worked in a earlier old version of 2.8
2.80, recent

Short description of error
In earlier betas, it was shown that bone transparency could be set through overlays.
Somewhere in development, this changed in hiding the mesh instead of the bones.
I cannot think of any reason why someone would want to do that
But just in case there is a reason, it might be better to do both.
Go smoothly between making bones more transparent to making the mesh black black

Making bones nearly transparent is handy for modeling with a lot of bones where one would pose a model for a good render composition.
In such a case you want to see surrounding but have some slightly visible bone just to work with, ea moving an arm or so.
without distracting the entire object by bones.

re-opened not fixed.
Transparant bones, to be able to set bone transparancy (in pose mode , overlays the slider there should also have option to make bones transparant ea vanish them (which is much more usefull (for compositional posing) as to setting all other objects to black)

Event Timeline

Sebastian Parborg (zeddb) triaged this task as Needs Information from User priority.Mar 4 2019, 2:59 PM

Could you provide easy to follow steps to reproduce this?

You have only provided a description of the error and not any clear reproduction steps.

Take a basic figure width a rig, go in pose mode. in solid display view.
In the main 3d view click enable bones in overlay then on the bottem menu go to shading Xray see how it behaves sliding from 0 to 1
While the anything else fades away except for bones. There has been an option (but i think it was in overlays menu then) where you could fade away the bones from 0 to 1
perhaps extend current shadow option with 1 to 2 to get that functionality back.

@Peter Boos (PGTART) Just to be sure I understand: You want to have transparent bone in solid mode with Xray enabled right?

We don't allow the bones to be completely transparent as their color gives some information about the bone state (mainly for constraints). But we could enable transparent bone when Xray is enabled.

Yes currently the bones are very visible, and that's problematic if you want to fine-tune poses for the best aesthetics.
Say you want to generate a beautiful pose, then one would like to see the environment, and figure mainly and be minimally distracted by the armature display.
Then just vaguely visible bones would be enough, as the main eye focus then is how does the model look like this (instead of how does my armature look like).

Also if you want to pose grabbing something but you don't want fingers to go through the object, the hand or finger bones (and any other bone of the armature can block much of the view). The bones dont need to go to 100% transparancy (that wouldnt make sense) but be able to slide to something a lot more transparant.

(PS i'm not English so i hope i've written the text above politely and correct), i dont want to sound rude.

Philipp Oeser (lichtwerk) raised the priority of this task from Needs Information from User to Needs Triage by Developer.Mar 19 2019, 9:31 AM
Peter Boos (PGTART) reopened this task as Open.EditedMar 24 2019, 11:06 PM
Peter Boos (PGTART) updated the task description. (Show Details)

re-opened not fixed.
Transparant bones, to be able to set bone transparency (in pose mode , see overlays, the slider there should also have the option to make bones transparent ea too vanish them (which is much more useful (for compositional posing) as to currently setting all other objects to black), the slider can have a duo function. To get Black objects with bones (fow those who needs it), or to set the bones vaguely visible for fine-tuning compositions.

I can think of even better ways to handle (and hide) bones, but vanishing bones have been in earlier beta and it was better usuable as the current overlay modes.

Eventually, i would hope for a nicer solution something like :
https://blender.community/c/rightclickselect/pLcbbc/
The pictures there show how currently bones distort the composing view.
Having a few figures makes it near impossible see the result of your composition/animation while editing.